Bug 1123671 - [abrt] mate-window-manager: meta_screen_for_x_screen(): marco killed by SIGSEGV
Summary: [abrt] mate-window-manager: meta_screen_for_x_screen(): marco killed by SIGSEGV
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: mate-window-manager
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dan Mashal
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:3f2444c821627e5decf54ccd62f...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-27 22:04 UTC by Sergei S. Rublёv
Modified: 2014-11-21 10:58 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-21 10:58:35 UTC


Attachments (Terms of Use)
File: backtrace (17.99 KB, text/plain)
2014-07-27 22:05 UTC, Sergei S. Rublёv
no flags Details
File: cgroup (180 bytes, text/plain)
2014-07-27 22:05 UTC, Sergei S. Rublёv
no flags Details
File: core_backtrace (8.89 KB, text/plain)
2014-07-27 22:05 UTC, Sergei S. Rublёv
no flags Details
File: dso_list (10.71 KB, text/plain)
2014-07-27 22:05 UTC, Sergei S. Rublёv
no flags Details
File: environ (1.35 KB, text/plain)
2014-07-27 22:05 UTC, Sergei S. Rublёv
no flags Details
File: limits (1.29 KB, text/plain)
2014-07-27 22:05 UTC, Sergei S. Rublёv
no flags Details
File: maps (49.29 KB, text/plain)
2014-07-27 22:05 UTC, Sergei S. Rublёv
no flags Details
File: open_fds (753 bytes, text/plain)
2014-07-27 22:05 UTC, Sergei S. Rublёv
no flags Details
File: proc_pid_status (944 bytes, text/plain)
2014-07-27 22:05 UTC, Sergei S. Rublёv
no flags Details
File: var_log_messages (331 bytes, text/plain)
2014-07-27 22:05 UTC, Sergei S. Rublёv
no flags Details
File: exploitable (168 bytes, application/octet-stream)
2014-07-27 22:05 UTC, Sergei S. Rublёv
no flags Details

Description Sergei S. Rublёv 2014-07-27 22:04:59 UTC
Version-Release number of selected component:
mate-window-manager-1.6.2-7.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        marco
crash_function: meta_screen_for_x_screen
executable:     /usr/bin/marco
kernel:         3.15.6-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (6 frames)
 #0 meta_screen_for_x_screen at core/screen.c:844
 #1 xrender_add_window at compositor/compositor-xrender.c:2473
 #2 meta_screen_composite_all_windows at core/screen.c:826
 #3 enable_compositor at core/display.c:289
 #4 emit_changed at core/prefs.c:805
 #5 changed_idle_handler at core/prefs.c:831

Potential duplicate: bug 978562

Comment 1 Sergei S. Rublёv 2014-07-27 22:05:03 UTC
Created attachment 921536 [details]
File: backtrace

Comment 2 Sergei S. Rublёv 2014-07-27 22:05:04 UTC
Created attachment 921537 [details]
File: cgroup

Comment 3 Sergei S. Rublёv 2014-07-27 22:05:06 UTC
Created attachment 921538 [details]
File: core_backtrace

Comment 4 Sergei S. Rublёv 2014-07-27 22:05:07 UTC
Created attachment 921539 [details]
File: dso_list

Comment 5 Sergei S. Rublёv 2014-07-27 22:05:08 UTC
Created attachment 921540 [details]
File: environ

Comment 6 Sergei S. Rublёv 2014-07-27 22:05:10 UTC
Created attachment 921541 [details]
File: limits

Comment 7 Sergei S. Rublёv 2014-07-27 22:05:13 UTC
Created attachment 921542 [details]
File: maps

Comment 8 Sergei S. Rublёv 2014-07-27 22:05:14 UTC
Created attachment 921543 [details]
File: open_fds

Comment 9 Sergei S. Rublёv 2014-07-27 22:05:15 UTC
Created attachment 921544 [details]
File: proc_pid_status

Comment 10 Sergei S. Rublёv 2014-07-27 22:05:17 UTC
Created attachment 921545 [details]
File: var_log_messages

Comment 11 Sergei S. Rublёv 2014-07-27 22:05:18 UTC
Created attachment 921546 [details]
File: exploitable

Comment 12 Wolfgang Ulbrich 2014-07-29 17:05:39 UTC
My cristal ball says you tried to enable compositor effect with dconf-editor. Right? ;)
Why you guys alwaws create a report without a descripton and a way to reproduce?
Do you think maintainers are gods or do you want to make our live harder as needed?
Ok , stop joking ;)
Whats happens?

Comment 13 Sergei S. Rublёv 2014-07-29 17:19:30 UTC
I create some of the reports because ABRT pops up and advices me to make a report to help developers. "Consider to send a report", it asks me, and I send. In many times ABRT pops up unexpectedly in the middle of something, and it talks about components that are not known to me righ now. But because it asks — I press the button "send" to send. When it asks me what caused the bug, it offers option "i don't know", and may I activate the option as I really don't know. I think that automated context data like coredump and backtrace may help.

I don't know the exact context of this bug, but it most likely relates to my recent installation of compiz. I was installing and configuring 2 or 3 components of compiz via yumex, played with several themes ("decorators"/GTK/Emerald), and met several errors and misconfigurations before finally getting the good configuration. I wasn't using dconf-editor.

Comment 14 Sergei S. Rublёv 2014-07-29 17:35:32 UTC
Maybe ABRT should offer some options like making written notes to help myself to memorize the context while ABRT collects its data. It usually takes a long time and I may get far into doing something else before ABRT finishes collecting and offers the prompt "what I was dong?" — may be I should be able to write quick notes in separate field next to ABRT log output field.

Maybe some user interface professionals should think on more friendly ABRT behavior for newbies.

Comment 15 Wolfgang Ulbrich 2014-11-12 20:54:40 UTC
Did the issue occours with marco-1.8.x ?

Comment 16 Wolfgang Ulbrich 2014-11-21 10:58:35 UTC
closed, package are renamed to marco


Note You need to log in before you can comment on or make changes to this bug.